Subject: Re: [PATCH net-next v4 0/6] tls: implement key updates for TLS1.3

From: Jakub Kicinski <[email-masked]>
Date: Tue, 3 Dec 2024 20:02:05 -0800

On Tue, 3 Dec 2024 17:16:52 +0100 Sabrina Dubroca wrote:
> 2024-11-18, 19:41:58 -0800, Jakub Kicinski wrote:
> > On Thu, 14 Nov 2024 16:50:47 +0100 Sabrina Dubroca wrote:  
> > > This adds support for receiving KeyUpdate messages (RFC 8446, 4.6.3
> > > [1]). A sender transmits a KeyUpdate message and then changes its TX
> > > key. The receiver should react by updating its RX key before
> > > processing the next message.  
> > 
> > Will review tomorrow/Wednesday but I haven't gotten to this in time 
> > for 6.13, sorry :(  
> 
> Is this still on your todo list, or do you want me to resend?
> No problem either way.

Sorry for the delay :( I had a nice plan to get this reviewed and
then corporate life did its thing.

I left a few comments, hopefully some of them make sense, if not
feel free to repost as non-RFC to avoid further delays.